addrinfo Struct Reference

`#include <addrinfo.h>`

## Data Fields

int | ai_flags
int | ai_family
int | ai_socktype
int | ai_protocol
size_t | ai_addrlen
char * | ai_canonname
struct sockaddr * | ai_addr
struct addrinfo * | ai_next

## Detailed Description

Definition at line 131 of file addrinfo.h.

## Field Documentation

struct sockaddr* addrinfo::ai_addr

Definition at line 138 of file addrinfo.h.

Referenced by addrinfo_firstonly_new(), addrinfo_list_new(), addrinfo_mload(), get_addr(), getaddrinfo(), init_addrinfo_getaddrinfo(), init_inetsock_internal(), ip_s_getaddress(), make_addrinfo(), make_inspectname(), sock_s_getnameinfo(), sock_s_pack_sockaddr_in(), udp_bind(), udp_connect_internal(), and udp_send().

size_t addrinfo::ai_addrlen

Definition at line 136 of file addrinfo.h.

Referenced by addrinfo_firstonly_new(), addrinfo_list_new(), addrinfo_mload(), getaddrinfo(), init_addrinfo_getaddrinfo(), init_inetsock_internal(), ip_s_getaddress(), make_inspectname(), sock_s_pack_sockaddr_in(), udp_bind(), udp_connect_internal(), and udp_send().

char* addrinfo::ai_canonname

Definition at line 137 of file addrinfo.h.

Referenced by addrinfo_firstonly_new(), addrinfo_list_new(), freeaddrinfo(), getaddrinfo(), init_addrinfo_getaddrinfo(), make_addrinfo(), and make_hostent_internal().

int addrinfo::ai_family

Definition at line 133 of file addrinfo.h.

Referenced by addrinfo_firstonly_new(), addrinfo_list_new(), call_getaddrinfo(), getaddrinfo(), init_inetsock_internal(), make_addrinfo(), make_hostent_internal(), rsock_addrinfo(), sock_s_getaddrinfo(), and sock_s_getnameinfo().

int addrinfo::ai_flags

Definition at line 132 of file addrinfo.h.

Referenced by call_getaddrinfo(), getaddrinfo(), rsock_addrinfo(), rsock_getaddrinfo(), sock_s_getaddrinfo(), and sock_s_getnameinfo().

struct addrinfo* addrinfo::ai_next

Definition at line 139 of file addrinfo.h.

Referenced by addrinfo_list_new(), freeaddrinfo(), get_addr(), getaddrinfo(), init_inetsock_internal(), make_addrinfo(), make_hostent_internal(), sock_s_getnameinfo(), udp_bind(), udp_connect_internal(), and udp_send().

int addrinfo::ai_protocol

Definition at line 135 of file addrinfo.h.

Referenced by addrinfo_firstonly_new(), addrinfo_list_new(), call_getaddrinfo(), getaddrinfo(), init_inetsock_internal(), make_addrinfo(), and sock_s_getaddrinfo().

int addrinfo::ai_socktype

Definition at line 134 of file addrinfo.h.

Referenced by addrinfo_firstonly_new(), addrinfo_list_new(), call_getaddrinfo(), getaddrinfo(), init_inetsock_internal(), make_addrinfo(), rsock_addrinfo(), rsock_getaddrinfo(), sock_s_getaddrinfo(), and sock_s_getnameinfo().

The documentation for this struct was generated from the following file:

- ext/socket/addrinfo.h